import 'package:flutter/material.dart';

class Styles {
  Styles._();

  static Decoration getActivateButtonDecoration(double radius) {
    return ShapeDecoration(
      gradient: LinearGradient(
        begin: Alignment.centerLeft,
        end: Alignment.centerRight,
          transform: GradientRotation(0.5),
        colors: [const Color(0xFF7D46FC), const Color(0xFFBC87FF)],
      ),

      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(radius),
      ),
    );
  }

  static Decoration getInactiveButtonDecoration(double radius) {
    return ShapeDecoration(
      color: const Color(0xFFCAB3FB),
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(radius),
      ),
    );
  }

  static TextStyle getTextStyleBlack204W400(double? sp) {
    return TextStyle(
      color: Colors.black.withAlpha(204),
      fontSize: sp,
      fontWeight: FontWeight.w400,
    );
  }

  static TextStyle getTextStyleBlack204W500(double? sp) {
    return TextStyle(
      color: Colors.black.withAlpha(204),
      fontSize: sp,
      fontWeight: FontWeight.w500,
    );
  }

  static TextStyle getTextStyleBlack128W400(double? sp) {
    return TextStyle(
      color: Colors.black.withAlpha(128),
      fontSize: sp,
      fontWeight: FontWeight.w400,
    );
  }



  static TextStyle getTextStyleBlack153W400(double? sp) {
    return TextStyle(
      color: Colors.black.withAlpha(153),
      fontSize: sp,
      fontWeight: FontWeight.w400,
    );
  }


  static TextStyle getTextStyleBlack178W500(double?sp){
    return TextStyle(
      color: Colors.black.withAlpha(178),
      fontSize: sp,
      fontWeight: FontWeight.w500,
    );
  }

  static TextStyle getTextStyleBlack102W500(double? sp) {
    return TextStyle(
      color: Colors.black.withAlpha(102),
      fontSize: sp,
      fontWeight: FontWeight.w500,
    );
  }

  static TextStyle getTextStyleWhiteW500(double? sp) {
    return TextStyle(
      color: Colors.white,
      fontSize: sp,
      fontWeight: FontWeight.w500,
    );
  }

  static TextStyle getTextStyleWhiteW400(double? sp) {
    return TextStyle(
      color: Colors.white,
      fontSize: sp,
      fontWeight: FontWeight.w400,
    );
  }

  static TextStyle getTextStyleFF663300W700(double? sp) {
    return TextStyle(
      color: const Color(0xFF663300),
      fontSize: sp,
      fontWeight: FontWeight.w700,
    );
  }

  static TextStyle getTextStyleFF663300W500(double? sp) {
    return TextStyle(
      color: const Color(0xFF663300),
      fontSize: sp,
      fontWeight: FontWeight.w500,
    );
  }

  static TextStyle getTextStyleFF663300W400(double? sp) {
    return TextStyle(
      color: const Color(0xFF663300),
      fontSize: sp,
      fontWeight: FontWeight.w400,
    );
  }

  static TextStyle getTextStyle99673300W400(double? sp) {
    return TextStyle(
      color: const Color(0x99673300),
      fontSize: sp,
      fontWeight: FontWeight.w400,
    );
  }

  static TextStyle getTextStyleFFECBBW500(double? sp) {
    return TextStyle(
      color: const Color(0xFFFFECBB),
      fontSize: sp,

      fontWeight: FontWeight.w500,
    );
  }

  static TextStyle getTextStyleFF7F14W500(double? sp) {
    return TextStyle(
      color: const Color(0xFFFF7F14),
      fontSize: sp,
      fontWeight: FontWeight.w500,
    );
  }
}
